RBD-MIRROR(8)

NAME
rbd-mirror - Ceph daemon for mirroring RBD images

SYNOPSIS
rbd-mirror

DESCRIPTION

rbd-mirror is a daemon for asynchronous mirroring of RADOS block device (rbd) images among Ceph clusters. It replays changes to images in remote clusters in a local cluster, for disaster recovery.

It connects to remote clusters via the RADOS protocol, relying on default search paths to find ceph.conf files, monitor addresses and authentication information for them, i.e. /etc/ceph/$cluster.conf, /etc/ceph/$cluster.keyring, and /etc/ceph/$cluster.$name.keyring, where $cluster is the human-friendly name of the cluster, and $name is the rados user to connect as, e.g. client.rbd-mirror.

OPTIONS

-c ceph.conf, --conf=ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-m monaddress[:port]
    Connect to specified monitor (instead of looking through ceph.conf).

-i ID, --id ID
    Set the ID portion of name for rbd-mirror

-n TYPE.ID, --name TYPE.ID
    Set the rados user name for the gateway (eg. client.rbd-mirror)

--cluster NAME
    Set the cluster name (default: ceph)

-d  Run in foreground, log to stderr

-f  Run in foreground, log to usual location

AVAILABILITY

rbd-mirror is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

rbd(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)